Package com.xebialabs.xlrelease.events

# Class ReleaseFailOperation

java.lang.Object
com.xebialabs.xlrelease.events.ReleaseFailOperation

All Implemented Interfaces:
  `ReleaseOperation`, `XLReleaseOperation`, `Serializable`, `scala.Equals`, `scala.Product`

public class ReleaseFailOperation extends Object implements ReleaseOperation, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseFailOperation(Release release)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.runtime.Null$`
  `action()`
  `static ReleaseFailOperation`
  `apply(Release release)`
  `boolean`
  `canEqual(Object x$1)`
  `ReleaseFailOperation`
  `copy(Release release)`
  `Release`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `ReleaseFailedEvent`
  `event()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Release`
  `release()`
  `String`
  `toString()`
  `static scala.Option<Release>`
  `unapply(ReleaseFailOperation x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ReleaseFailOperation

    public ReleaseFailOperation(Release release)

- ## Method Details

  - ### apply

    public static ReleaseFailOperation apply(Release release)

  - ### unapply

    public static scala.Option<Release> unapply(ReleaseFailOperation x$0)

  - ### release

    public Release release()

  - ### action

    public scala.runtime.Null$ action()
    Specified by:
      `action` in interface `XLReleaseOperation`

  - ### event

    public ReleaseFailedEvent event()
    Specified by:
      `event` in interface `XLReleaseOperation`

  - ### copy

    public ReleaseFailOperation copy(Release release)

  - ### copy$default$1

    public Release copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`